/***************************************************************************\
|*									   *|
|*  game.h:	A version of Tetris to run on Linux SVGAlib console.	   *|
|*		This is the module that actually plays the game.	   *|
|*									   *|
|*  Authors:	Mike Taylor (mirk@uk.ac.warwick.cs) &    		   *|
|*		Arturo Espinosa (arturo@nuclecu.unam.mx)		   *|
|*  Started:	Fri May 26 12:26:05 BST 1989 (tetris for terminals)	   *|
|*	        Dic 1, 1995 (pictetris)					   *|
|*									   *|
\***************************************************************************/
#include <jlib.h>

#define REFRESH_KEY	'\014'	/* Control-L; refreshes screen */
				/* This is hard-coded in.  It can't */
				/* be changed by setting TTKEYS, since */
				/* the peasants couldn't handle all that */
				/* "setenv TTKEYS `echo | tr`" carp(anag) */

#define NO_MOVES 100		/* Number of moves allowed per fall */

/*-------------------------------------------------------------------------*/

extern char left_key;		/* Move piece left */
extern char right_key;		/* Move piece right */
extern char rotate_key;		/* Rotate piece anticlockwise */
extern char drop_key;		/* Drop piece to bottom of screen */
extern char susp_key;		/* Suspend.  I'm sorry if its confusing */
extern char quit_key;		/* Quit.  I'm sorry if its confusing */
extern char cheat_key;		/* Frogging identical comments :-P */

/*-------------------------------------------------------------------------*/

extern void clear_board ();
extern void play_game ();

/*-------------------------------------------------------------------------*/
